Bug 71665 - Installation fails on ro-mounted /usr
Installation fails on ro-mounted /usr
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On: 51193
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-16 10:37 EDT by Enrico Scholz
Modified: 2016-11-24 09:55 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.2.91-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-05 12:07:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-08-16 10:37:49 EDT
Description of Problem:

When having /usr shared between some hosts, the installation of glibc-common
fails in a %post scriptlet which results in multiple install glibc-common packages:

| $ rpm -U glibc-common-2.2.90-21.i386.rpm
| /usr/sbin/build-locale-archive: cannot open locale archive
"/usr/lib/locale/locale-archive": Read-only file system
| Fehler: execution of %post scriptlet from glibc-common-2.2.90-21 failed, exit
status 1
|
| $ rpm -q glibc-common
| glibc-common-2.2.90-17
| glibc-common-2.2.90-21


Version-Release number of selected component (if applicable):

glibc-common-2.2.90-21


Steps to Reproduce:
1. setup system so that /usr is NFS-mounted (ro)
2. add /usr to rpm's %_netsharepath
3. try to install glibc-common
Comment 1 Enrico Scholz 2002-08-28 05:36:16 EDT
Still in glibc-common-2.2.90-26
Comment 2 Jakub Jelinek 2003-08-05 12:07:18 EDT
Should be fixed in glibc-2.2.91-1 and later.

Note You need to log in before you can comment on or make changes to this bug.